## org.apache.commons.collections
Class EnumerationUtils

    java.lang.Object
      org.apache.commons.collections.EnumerationUtils

public class EnumerationUtils
extends Object

Provides utility methods for `Enumeration` instances.

Since:
  Commons Collections 3.0
Version:
  $Id: EnumerationUtils.java,v 1.5 2004/02/18 01:15:42 scolebourne Exp $
Author:
  Gary Gregory

Constructor Summary
`EnumerationUtils()` EnumerationUtils is not normally instantiated.

Method Summary
`static List` `toList(Enumeration enumeration)` Creates a list based on an enumeration.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EnumerationUtils

    public EnumerationUtils()

  EnumerationUtils is not normally instantiated.

Method Detail

### toList

    public static List toList(Enumeration enumeration)

  Creates a list based on an enumeration.

  As the enumeration is traversed, an ArrayList of its values is created. The new list is returned.

  Parameters:
    `enumeration` - the enumeration to traverse, which should not be `null`.
  Throws:
    `NullPointerException` - if the enumeration parameter is `null`.

Copyright © 2001-2005 Apache Software Foundation. All Rights Reserved.